Creates a new template for the bulk import of users in the CSV format.

Tenant Id, Template Name, List of Template Fields / Data Fields are the fields in the API where Template Fields / Data Fields is a combination of

  1. Column No - Sent as part of response starting from 0
  2. User Field
  3. Optional List of Attribute Map where attribute map is a domain -> attribute name map

POST /users/templates

Operation id: UserMappingTemplateService_CreateUserTemplate

Description

Permission Level: Read-Write

Tags: UserMappingTemplateService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Main User Mapping Template Object.

Required: Yes

application/json

Schema

Main User Mapping Template Object.

PropertyTypeRequiredDescription
tenantIdstringNo
templateNamestringNo
templateFieldsarrayNo
csvSeparatorstringNo
isHeaderDefinedbooleanNo
friendlyNamestringNo
{
  "type": "object",
  "description": "Main User Mapping Template Object.",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "templateName": {
      "type": "string"
    },
    "templateFields": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "columnNumber": {
            "type": "integer",
            "format": "int32"
          },
          "name": {
            "type": "string"
          },
          "scope": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "separator": {
            "type": "string",
            "description": "The column contains multiple values separated by this sequence. Required = false."
          },
          "workspaceType": {
            "type": "string"
          },
          "isSite": {
            "type": "boolean"
          },
          "isRole": {
            "type": "boolean"
          },
          "isLicensed": {
            "type": "boolean"
          },
          "isPrimarySite": {
            "type": "boolean"
          },
          "isSelectedDepartments": {
            "type": "boolean"
          },
          "isContactNumber": {
            "type": "boolean"
          },
          "isFirstSiteMapping": {
            "type": "boolean"
          },
          "headerName": {
            "type": "string"
          }
        }
      }
    },
    "csvSeparator": {
      "type": "string"
    },
    "isHeaderDefined": {
      "type": "boolean"
    },
    "friendlyName": {
      "type": "string"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
templateNamestringNo
templateFieldsarrayNo
creationTimestring (date-time)No
csvSeparatorstringNo
isHeaderDefinedbooleanNo
friendlyNamestringNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "templateName": {
      "type": "string"
    },
    "templateFields": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "columnNumber": {
            "type": "integer",
            "format": "int32"
          },
          "name": {
            "type": "string"
          },
          "scope": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "separator": {
            "type": "string",
            "description": "The column contains multiple values separated by this sequence. Required = false."
          },
          "workspaceType": {
            "type": "string"
          },
          "isSite": {
            "type": "boolean"
          },
          "isRole": {
            "type": "boolean"
          },
          "isLicensed": {
            "type": "boolean"
          },
          "isPrimarySite": {
            "type": "boolean"
          },
          "isSelectedDepartments": {
            "type": "boolean"
          },
          "isContactNumber": {
            "type": "boolean"
          },
          "isFirstSiteMapping": {
            "type": "boolean"
          },
          "headerName": {
            "type": "string"
          }
        }
      }
    },
    "creationTime": {
      "type": "string",
      "format": "date-time"
    },
    "csvSeparator": {
      "type": "string"
    },
    "isHeaderDefined": {
      "type": "boolean"
    },
    "friendlyName": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}